/******************************************************************************
 * BinaryModes.h
 *
 * Created on: May 25, 2012
 * Board: DRV2604EMK-CT, DRV2605EVM-CT
 * Author: a0866685
 *
 * Desc: This file contains the binary mode functions and effects. Include this
 * 		file to compile with extra modes.
 *
 ******************************************************************************/

#ifndef BINARYMODES_H_
#define BINARYMODES_H_

#define BINARYMODESLEVEL		2 	// Sets the depth of the binary modes
#define OPENLOOPFREQSTEP		3	// LRA Open Loop frequency step size in Hz

#include "msp430g2553.h"

/**
 * BinaryModes - function containing the extra binary mode button functions and effects
 * @TODO - Call function during button press detection in main
 */
void BinaryModes(void);

/**
 * BinaryModesRelease - contains the button release functions for extra binary modes
 * @TODO - Call function during release button detection in main
 */
void BinaryModesRelease();

#endif /* BINARYMODES_H_ */
