/*
 * Recorder.h
 *
 *  Created on: Jul 25, 2012
 *      Author: a0866685
 */

#ifndef RECORDER_H_
#define RECORDER_H_

#include "CapTouchBoard.h"
#include <stdint.h>

extern unsigned int defaultActuator;		// Actuator used when no actuator is specified

/**
 * Recorder_Init - Initialize recorder variables
 */
void Recorder_Init();

/**
 * Recorder_IsRecording - return 0 = is not recording, 1 = is recording
 */
uint8_t Recorder_IsRecording();

/**
 * Recorder_RecordToggle - toggle button to start/stop recording
 */
void Recorder_RecordToggle();

/**
 * Recorder_Record - records press sequence of button B2
 */
void Recorder_Record();

/**
 * Recorder_Playback - playback recorded sequence
 */
void Recorder_Playback();

/**
 * Recorder_Reset - reset all variables and statuses
 */
void Recorder_Reset();

/**
 * Recorder_PlayToggle - toggle button to start/stop play back
 */
void Recorder_PlayToggle();

#endif /* RECORDER_H_ */
